## dtn 2.7.0maemo-fremantle7

=== applib/Makefile ===
#
#    Copyright 2004-2006 Intel Corporation
# 
#    Licensed under the Apache License, Version 2.0 (the "License");
#    you may not use this file except in compliance with the License.
#    You may obtain a copy of the License at
# 
#        http://www.apache.org/licenses/LICENSE-2.0
# 
#    Unless required by applicable law or agreed to in writing, software
#    distributed under the License is distributed on an "AS IS" BASIS,
#    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#    See the License for the specific language governing permissions and
#    limitations under the License.
#

#
# Makefile for DTN2/applib
#

# Source files generated by rpcgen
XDRSRCS        := dtn_types_xdr.c

# Sources for the simple client side of the library
CLIENTLIB_SRCS := 			\
		$(XDRSRCS)		\
		dtn_api.c		\
		dtn_errno.c		\
		dtn_ipc.c		\
		sdnv-c.c		\

# Sources for the client-side library that depend on liboasys
CLIENT_EXTRA_SRCS :=			\
		APIEndpointIDOpt.cc	\

# Sources for the server side of the library
SERVERLIB_SRCS := 			\
		$(XDRSRCS)		\
		APIServer.cc		\
		dtn_errno.c		\
		dtn_ipc.c		\

CLIENTLIB_OBJS := $(CLIENTLIB_SRCS:.c=.o)
CLIENTLIB_OBJS := $(CLIENTLIB_OBJS:.cc=.o)
CLIENTLIB_OBJS := $(CLIENTLIB_OBJS) ../dtn-version.o

CLIENT_EXTRA_OBJS := $(CLIENT_EXTRA_SRCS:.c=.o)
CLIENT_EXTRA_OBJS := $(CLIENT_EXTRA_OBJS:.cc=.o)

SERVERLIB_OBJS := $(SERVERLIB_SRCS:.c=.o)
SERVERLIB_OBJS := $(SERVERLIB_OBJS:.cc=.o)

ALLSRCS := $(CLIENTLIB_SRCS) $(CLIENT_EXTRA_SRCS) $(SERVERLIB_SRCS)

#
# Default target is to build the three libraries
#
all: libs

#
# Shorthand rule for versioned library extensions
#
VLIB   = $(DTN_VERSION).a
VSHLIB = $(DTN_VERSION).$(SHLIB_EXT)

#
# rpcgen emits code that has unused variables, so we can't use our
# normally stringent warnings
#
%_xdr.o: %_xdr.c
	@rm -f $@; mkdir -p $(@D)
	$(CC) $(CPPFLAGS) $(CFLAGS_NOWARN) -c $< -o $@

#
# Make sure SRCDIR is set (.. by default)
#
ifeq ($(SRCDIR),)
SRCDIR   := ..
BUILDDIR := ..
endif

#
# Include the common rules and the version rules
#
CLEAN_OTHER := cleanother
.PHONY: cleanother
cleanother:
	@echo "cleaning up miscellaneous generated files/directories... $(OTHER_FILES)" 
	@rm -rf $(OTHER_FILES)

include ../Rules.make
include $(SRCDIR)/dtn-version.mk

#
# When dtn_types.x changes, we now manually rebuild dtn_types.h and
# dtn_types_xdr.c
#
.PHONY: xdrs
xdrs:
	-$(RM) -f dtn_types.h dtn_types_xdr.c
	rpcgen -h dtn_types.x -o dtn_types.h
	rpcgen -c dtn_types.x -o dtn_types_xdr.c

#
# The python and perl scripts need some environment variables to
# properly set up the include and lib paths.
#
ifeq ($(SRCDIR),..)
SWIG_BUILD_ENV := INCDIR=../.. LIBDIR=.. VERSION=$(DTN_VERSION)
else
SWIG_BUILD_ENV := INCDIR=$(SRCDIR) LIBDIR=.. VERSION=$(DTN_VERSION)
endif

#
# For some install rules we need the prefix
#
ifneq ($(DESTDIR),)
INSTALL_PREFIX := --prefix=$(DESTDIR)usr
else
INSTALL_PREFIX := 
endif

#
# SWIG rules to generate the language-specific bindings
#
.PHONY: swig
swig: 
	swig -c++ -tcl    -w302 -o tcl/dtn_api_wrap_tcl.cc    dtn_api.i
	swig -c++ -perl   -w302 -shadow -o perl/dtn_api_wrap_perl.cc  dtn_api.i
	swig -c++ -python -w302 -o python/dtn_api_wrap_python.cc -classic dtn_api.i

#
# Swig rules for Tcl
#
.PHONY: tclapi
tclapi: tcl/libdtntcl-$(VSHLIB)
tcl/libdtntcl-$(VSHLIB): tcl/dtn_api_wrap_tcl.o libdtnapi-$(VSHLIB)
	$(CXX) $(CXXFLAGS) $< $(LDFLAGS_SHLIB) $(LDFLAGS) \
		-ldtnapi-$(DTN_VERSION) $(TCL_LDFLAGS) -o $@

#
# Swig rules for Python
#
.PHONY: pythonapi pythonapi_install
pythonapi: python/dtnapi.pyc
python/dtnapi.pyc: python/setup.py python/dtn_api_wrap_python.cc libdtnapi-$(VSHLIB)
	cd python && $(SWIG_BUILD_ENV) python setup.py build
	cd python && python -c "import py_compile; py_compile.compile('dtnapi.py')"

#
# Need to create the python directory and symlink the relevant files
# if we're not building in the source directory
#
python/setup.py:
	mkdir python && cd python && \
	ln -s $(SRCDIR)/applib/python/dtnapi.py && \
	ln -s $(SRCDIR)/applib/python/dtn_api_wrap_python.cc && \
	ln -s $(SRCDIR)/applib/python/setup.py

pythonapi_install:
	cd python && $(SWIG_BUILD_ENV) python setup.py install $(INSTALL_PREFIX)

OTHER_FILES += python/MANIFEST python/dtnapi.pyc python/build python/dist

#
# Swig rules for Perl
#
.PHONY: perlapi perlapi_install
perlapi: perl/dtn_api_wrap_perl.o

perl/dtn_api_wrap_perl.o: perl/Makefile.PL perl/dtn_api_wrap_perl.cc libdtnapi-$(VSHLIB)
	cd perl && \
	  $(SWIG_BUILD_ENV) perl Makefile.PL CC=$(CXX) LD=$(CXX) CCFLAGS=$(CFLAGS) VERSION=$(DTN_VERSION) && make

perlapi_install: perlapi
	cd perl && make install

#
# Need to create the perl directory and symlink the relevant files
# if we're not building in the source directory
#
perl/Makefile.PL:
	mkdir perl && cd perl && \
	ln -s $(SRCDIR)/applib/perl/Makefile.PL && \
	ln -s $(SRCDIR)/applib/perl/dtn_api_wrap_perl.cc

OTHER_FILES += perl/Makefile perl/Makefile.old perl/blib perl/dtnapi.bs perl/pm_to_blib

#
# Linking rules for the libraries.
#
libdtnapi-$(VLIB): $(CLIENTLIB_OBJS)
	rm -f $@
	$(AR) ruc $@ $^
	$(RANLIB) $@ || true

libdtnapi-$(VSHLIB): $(CLIENTLIB_OBJS)
	rm -f $@
	$(CXX) $(CXXFLAGS) $^ $(LDFLAGS_SHLIB) $(LDFLAGS) -o $@

libdtnapi++-$(VLIB): $(CLIENT_EXTRA_OBJS)
	rm -f $@
	$(AR) ruc $@ $^
	$(RANLIB) $@ || true

libdtnapi++-$(VSHLIB): $(CLIENT_EXTRA_OBJS) libdtnapi.a
	rm -f $@
	$(CXX) $(CXXFLAGS) $^ $(LDFLAGS_SHLIB) $(OASYS_LDFLAGS) libdtnapi.a $(LDFLAGS) -o $@

libdtnapisrv.a: $(SERVERLIB_OBJS)
	rm -f $@
	$(AR) ruc $@ $^
	$(RANLIB) $@ || true

#
# Generate symbolic links to the versioned libraries
#
%.a : %-$(VLIB)
	rm -f $@
	cd `dirname $@` && ln -s `basename $<` `basename $@`

%.$(SHLIB_EXT) : %-$(VSHLIB)
	rm -f $@
	cd `dirname $@` && ln -s `basename $<` `basename $@`

#
# Generate the list of files that is built by default
#
LIBFILES =  libdtnapi.a libdtnapi-$(VLIB) 
LIBFILES += libdtnapi++.a libdtnapi++-$(VLIB) 
LIBFILES += libdtnapisrv.a 
ifeq ($(SHLIBS),yes)
LIBFILES += libdtnapi.$(SHLIB_EXT) libdtnapi-$(VSHLIB) 
LIBFILES += libdtnapi++.$(SHLIB_EXT) libdtnapi++-$(VSHLIB)
LIBFILES += tcl/libdtntcl.$(SHLIB_EXT) tcl/libdtntcl-$(VSHLIB)
endif

ifneq ($(PYTHON_BUILD_EXT),)
LIBFILES += python/dtnapi.pyc
endif

libs: $(LIBFILES)

=== apps/Makefile ===
#
#    Copyright 2004-2006 Intel Corporation
# 
#    Licensed under the Apache License, Version 2.0 (the "License");
#    you may not use this file except in compliance with the License.
#    You may obtain a copy of the License at
# 
#        http://www.apache.org/licenses/LICENSE-2.0
# 
#    Unless required by applicable law or agreed to in writing, software
#    distributed under the License is distributed on an "AS IS" BASIS,
#    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#    See the License for the specific language governing permissions and
#    limitations under the License.
#

#
# Makefile for DTN2/apps
#

ifeq ($(SRCDIR),)
BUILDDIR := ..
SRCDIR := ..
endif

SINGLE_SOURCE_APPS := 			\
	dtncat/dtncat			\
	dtncp/dtncp			\
	dtncpd/dtncpd			\
	dtnping/dtnping			\
	dtnping/dtntraceroute		\
	dtnping/dtnreporter		\
	dtnperf/dtnperf-server		\
	dtnrecv/dtnrecv			\
	dtnsink/dtnsink			\
	num2sdnv/num2sdnv		\

OTHER_APPS :=				\
	dtnmoteproxy/dtnmoteproxy	\
	dtntest/dtntest			\
	dtntunnel/dtntunnel		\
	dtnperf/dtnperf-client		\
	tca_admin/tca_admin		\
	dtnsend/dtnsend			\
	dtnsource/dtnsource		\
	num2sdnv/sdnv2num		\

APPS := $(SINGLE_SOURCE_APPS) $(OTHER_APPS)

all: $(DTN_LIBS++) $(DTN_LIBS_STATIC) $(APPS) $(MANPAGES)
include ../Rules.make
include $(SRCDIR)/dtn-version.mk

DTN_LIBS_STATIC := ../applib/libdtnapi.a ../applib/libdtnapi++.a
DTN_LIBS := ../applib/libdtnapi.a $(OASYS_COMPAT_LDFLAGS)
DTN_LIBS++ := $(DTN_LIBS) ../applib/libdtnapi++.a $(OASYS_LDFLAGS) $(EXTLIB_LDFLAGS)

# Fake build target in case the api lib doesn't exist, but allows us
# to include it as a dependency above so the apps get properly rebuilt
# for the 'all' target
$(DTN_LIBS_STATIC):
	@echo "ERROR: $@ must be built before the apps can"
	exit 1

CFLAGS += -I$(SRCDIR)/applib
CXXFLAGS += -I$(SRCDIR)/applib
LDFLAGS += -L../applib

BINFILES += $(APPS)

#
# For dtnmoteproxy, don't worry about cast alignment
#
dtnmoteproxy/dtnmoteproxy.o: dtnmoteproxy/dtnmoteproxy.c
	@rm -f $@; mkdir -p $(@D)
	$(CC) $(CPPFLAGS) -Wno-cast-align $(CFLAGS) -c $< -o $@

dtnmoteproxy/serialsource.o: dtnmoteproxy/serialsource.c
	@rm -f $@; mkdir -p $(@D)
	$(CC) $(CPPFLAGS) -Wno-cast-align $(CFLAGS) -c $< -o $@

dtnmoteproxy/dtnmoteproxy: dtnmoteproxy/dtnmoteproxy.o \
			   dtnmoteproxy/serialsource.o
	$(CC) $(CFLAGS) $^ -o $@ $(LDFLAGS) $(DTN_LIBS)

#
# Rules for dtntest
#
dtntest/dtntest: dtntest/dtntest.o  $(DTN_LIBS_STATIC)
	$(CXX) $(CXXFLAGS) $< -o $@ $(LDFLAGS) $(DTN_LIBS++)
#
# Rules for dtnsend
#
dtnsend/dtnsend: dtnsend/dtnsend.o  $(DTN_LIBS_STATIC)
	$(CXX) $(CXXFLAGS) $< -o $@ $(LDFLAGS) $(DTN_LIBS++)

#
# Rules for dtnsource
#
dtnsource/dtnsource: dtnsource/dtnsource.o  $(DTN_LIBS_STATIC)
	$(CXX) $(CXXFLAGS) $< -o $@ $(LDFLAGS) $(DTN_LIBS++)

#
# num2sdnv and sdnv2num are the same app
#
num2sdnv/sdnv2num: num2sdnv/num2sdnv
	cp $< $@

#
# Rules for dtntunnel
#
dtntunnel/dtntunnel: dtntunnel/DTNTunnel.o \
		     dtntunnel/TCPTunnel.o \
		     dtntunnel/UDPTunnel.o \
		     $(DTN_LIBS_STATIC)
	$(CXX) $(CXXFLAGS) $^ -o $@ $(LDFLAGS) $(DTN_LIBS++)


#
# Rules for dtnperf-client
#
dtnperf/dtnperf-client: dtnperf/utils.o \
			dtnperf/bundle_tools.o \
			dtnperf/dtnperf-client.o \
		    $(DTN_LIBS_STATIC)

	$(CXX) $(CXXFLAGS) $^ -o $@ $(LDFLAGS) $(DTN_LIBS++)


#
# Rules for tca_admin
#
tca_admin/tca_admin: tca_admin/tca_admin.o \
                tca_admin/TcaEndpointID.o \
                ../servlib/routing/TcaControlBundle.o \
                tca_admin/TcaRegistry.o \
                tca_admin/TcaController.o \
                tca_admin/libs/gateway_prot_clnt.o \
                tca_admin/libs/gateway_prot_xdr.o \
                tca_admin/libs/gateway_rpc.o \
                tca_admin/libs/sha1.o \
		$(DTN_LIBS_STATIC)
	$(CXX) $(CXXFLAGS) $^ -o $@ $(LDFLAGS) $(DTN_LIBS++)

#
# Default rule for all single source apps
#
$(SINGLE_SOURCE_APPS): %: %.o $(DTN_LIBS_STATIC)
	$(CC) $(CFLAGS) $< -o $@ $(LDFLAGS) $(DTN_LIBS)

=== servlib/Makefile ===
#
#    Copyright 2004-2006 Intel Corporation
# 
#    Licensed under the Apache License, Version 2.0 (the "License");
#    you may not use this file except in compliance with the License.
#    You may obtain a copy of the License at
# 
#        http://www.apache.org/licenses/LICENSE-2.0
# 
#    Unless required by applicable law or agreed to in writing, software
#    distributed under the License is distributed on an "AS IS" BASIS,
#    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#    See the License for the specific language governing permissions and
#    limitations under the License.
#

#
# Makefile for DTN2/servlib
#

#
# Source and object rules
#

BUNDLING_SRCS := 				\
        bundling/APIBlockProcessor.cc           \
	bundling/BlockInfo.cc			\
	bundling/BlockProcessor.cc		\
	bundling/Bundle.cc			\
	bundling/BundleActions.cc		\
	bundling/BundleDaemon.cc		\
	bundling/BundleEventHandler.cc		\
	bundling/BundleInfoCache.cc		\
	bundling/BundleList.cc			\
	bundling/BundleMappings.cc		\
	bundling/BundlePayload.cc		\
	bundling/BundleProtocol.cc		\
	bundling/BundleStatusReport.cc		\
	bundling/BundleTimestamp.cc		\
	bundling/CustodySignal.cc		\
	bundling/CustodyTimer.cc		\
	bundling/Dictionary.cc          	\
	bundling/ForwardingInfo.cc		\
	bundling/ForwardingLog.cc		\
	bundling/FragmentManager.cc		\
	bundling/FragmentState.cc		\
	bundling/ExpirationTimer.cc		\
	bundling/GbofId.cc  		        \
	bundling/MetadataBlock.cc		\
	bundling/MetadataBlockProcessor.cc	\
	bundling/PayloadBlockProcessor.cc	\
	bundling/PreviousHopBlockProcessor.cc	\
	bundling/PrimaryBlockProcessor.cc	\
	bundling/SDNV.cc			\
	bundling/SessionBlockProcessor.cc	\
	bundling/SequenceID.cc			\
	bundling/SequenceIDBlockProcessor.cc	\
	bundling/UnknownBlockProcessor.cc	\

CONTACT_SRCS :=					\
	contacts/AlwaysOnLink.cc		\
	contacts/Contact.cc			\
	contacts/ContactManager.cc		\
	contacts/Interface.cc			\
	contacts/InterfaceTable.cc		\
	contacts/Link.cc			\
	contacts/OndemandLink.cc		\
	contacts/OpportunisticLink.cc		\
	contacts/ScheduledLink.cc		\

CONV_LAYER_SRCS :=				\
	conv_layers/AX25CMConvergenceLayer.cc \
	conv_layers/BluetoothConvergenceLayer.cc  \
	conv_layers/ConnectionConvergenceLayer.cc \
	conv_layers/CLConnection.cc 		\
	conv_layers/ConvergenceLayer.cc		\
	conv_layers/EthConvergenceLayer.cc	\
	conv_layers/FileConvergenceLayer.cc	\
	conv_layers/IPConvergenceLayer.cc	\
	conv_layers/IPConvergenceLayerUtils.cc	\
	conv_layers/NullConvergenceLayer.cc	\
	conv_layers/SeqpacketConvergenceLayer.cc \
	conv_layers/SerialConvergenceLayer.cc   \
	conv_layers/StreamConvergenceLayer.cc   \
	conv_layers/TCPConvergenceLayer.cc	\
	conv_layers/UDPConvergenceLayer.cc	\
	conv_layers/LTPConvergenceLayer.cc	\
	conv_layers/NORMConvergenceLayer.cc	\
	conv_layers/NORMReceiver.cc		\
	conv_layers/NORMSender.cc		\
	conv_layers/NORMSessionManager.cc	\
	conv_layers/ExternalConvergenceLayer.cc	\
	conv_layers/ECLModule.cc \
	conv_layers/CLEventHandler.cc \
	conv_layers/clevent.cc \

DISCOVERY_SRCS :=				\
	discovery/Announce.cc			\
	discovery/BluetoothAnnounce.cc		\
	discovery/BluetoothDiscovery.cc		\
	discovery/BonjourDiscovery.cc		\
	discovery/Discovery.cc			\
	discovery/DiscoveryTable.cc		\
	discovery/IPAnnounce.cc			\
	discovery/IPDiscovery.cc		\

CMD_SRCS :=					\
	cmd/APICommand.cc			\
	cmd/BundleCommand.cc			\
	cmd/CompletionNotifier.cc		\
	cmd/InterfaceCommand.cc			\
	cmd/LinkCommand.cc          		\
	cmd/ParamCommand.cc			\
	cmd/RegistrationCommand.cc		\
	cmd/RouteCommand.cc			\
	cmd/ShutdownCommand.cc			\
	cmd/StorageCommand.cc			\
	cmd/TestCommand.cc			\
	cmd/DiscoveryCommand.cc			\
	cmd/ProphetCommand.cc			\
	cmd/ECLACommand.cc			\
	cmd/SecurityCommand.cc			\

NAMING_SRCS :=					\
	naming/EndpointID.cc			\
	naming/EndpointIDOpt.cc			\
	naming/Scheme.cc			\
	naming/SchemeTable.cc			\
	naming/SessionScheme.cc			\
	naming/DTNScheme.cc			\
	naming/EthernetScheme.cc		\
	naming/SessionScheme.cc			\
	naming/StringScheme.cc			\
	naming/WildcardScheme.cc		\
	naming/TCAScheme.cc			\

PROPHET_SRCS :=					\
	prophet/AckList.cc			\
	prophet/BundleOffer.cc			\
	prophet/BundleTLV.cc			\
	prophet/Controller.cc			\
	prophet/Decider.cc			\
	prophet/Dictionary.cc			\
	prophet/Encounter.cc			\
	prophet/HelloTLV.cc			\
	prophet/Node.cc				\
	prophet/ProphetTLV.cc			\
	prophet/Repository.cc			\
	prophet/RIBDTLV.cc			\
	prophet/RIBTLV.cc			\
	prophet/Stats.cc			\
	prophet/Table.cc			\
	prophet/OfferTLV.cc			\
	prophet/ResponseTLV.cc			\

REGISTRATION_SRCS :=				\
	reg/AdminRegistration.cc		\
	reg/APIRegistration.cc			\
	reg/Registration.cc			\
	reg/RegistrationTable.cc		\
	reg/LoggingRegistration.cc		\
	reg/PingRegistration.cc			\
	reg/TclRegistration.cc			\

ROUTING_SRCS :=					\
	routing/router.cc			\
	routing/router-custom.cc		\
	routing/DTLSR.cc			\
	routing/DTLSRConfig.cc			\
	routing/DTLSRRouter.cc			\
	routing/ExternalRouter.cc		\
	routing/BundleRouter.cc			\
	routing/FloodBundleRouter.cc		\
	routing/LinkScheduleEstimator.cc	\
	routing/ProphetBundleCore.cc		\
	routing/ProphetBundleList.cc		\
	routing/ProphetLinkList.cc		\
	routing/ProphetNode.cc			\
	routing/ProphetNodeList.cc		\
	routing/ProphetRouter.cc		\
	routing/RouteEntry.cc			\
	routing/RouteTable.cc			\
	routing/RouterInfo.cc			\
	routing/TableBasedRouter.cc		\
	routing/TcaEndpointID.cc                \
	routing/TcaControlBundle.cc             \
	routing/TcaRouter.cc                    \

SESSION_SRCS :=					\
	session/Session.cc			\
	session/SessionTable.cc			\
	session/Subscriber.cc			\

OLD_STORAGE_SRCS :=				\
	storage/PersistentStore.cc		\
	storage/StorageConfig.cc		\
	storage/BerkeleyDBStore.cc		\
	storage/SQLStore.cc			\
        storage/PostgresSQLImplementation.cc    \
        storage/MysqlSQLImplementation.cc       \

STORAGE_SRCS :=					\
	storage/BundleStore.cc			\
	storage/ProphetStore.cc			\
	storage/LinkStore.cc			\
	storage/GlobalStore.cc			\
	storage/RegistrationStore.cc		\

SECURITY_SRCS :=				\
	security/Ciphersuite.cc			\
	security/BA_BlockProcessor.cc		\
	security/PI_BlockProcessor.cc		\
	security/PC_BlockProcessor.cc		\
	security/Ciphersuite_BA1.cc		\
	security/Ciphersuite_PI2.cc		\
	security/Ciphersuite_PC3.cc		\
	security/BP_Tag.cc			\
	security/KeyDB.cc			\
	security/SPD.cc				\
	security/KeySteward.cc			\
	gcm/gcm_aes.c				\
	gcm/gcm.cc				\
	gcm/gf128mul.cc				\

SERVLIB_SRCS := 				\
	DTNServer.cc				\
	$(BUNDLING_SRCS) 			\
	$(CONTACT_SRCS)				\
	$(CONV_LAYER_SRCS)			\
	$(DISCOVERY_SRCS)			\
	$(CMD_SRCS) 				\
	$(NAMING_SRCS) 				\
	$(PROPHET_SRCS) 			\
	$(REGISTRATION_SRCS)			\
	$(ROUTING_SRCS)				\
	$(SESSION_SRCS)				\
	$(STORAGE_SRCS)				\
	$(SECURITY_SRCS)			\

SERVLIB_OBJS := $(SERVLIB_SRCS:.cc=.o)
SERVLIB_OBJS := $(SERVLIB_OBJS:.c=.o)
SERVLIB_OBJS := $(SERVLIB_OBJS) ../dtn-version.o

ALLSRCS := $(SERVLIB_SRCS)

#
# Other makefiles include this one so they can link with the object
# files directly and not use the servlib, but in that case, all we
# want are the object lists, not the rules below
#
ifeq ($(SERVLIB_MAKEFILE_INCLUDE),)

#
# Default target is to build the library
#
LIBFILES := libdtnserv.a
all: $(LIBFILES)

servlib: libdtnserv.a
libdtnserv.a: $(SERVLIB_OBJS)
	rm -f $@
	$(AR) ruc $@ $^
	$(RANLIB) $@ || true

#
# Make sure SRCDIR is set (.. by default)
#
ifeq ($(SRCDIR),)
SRCDIR   := ..
BUILDDIR := ..
endif

#
# Include the common rules.
#
include ../Rules.make

#
# Rules to regenerate XML bindings if the 'xsd' tool is present.
#

# Arguments used to generate both the ECLA and external router bindings.
XSD_TOOL_COMMON_ARGS := \
	--generate-serialization \
	--generate-default-ctor \
	--morph-anonymous \
	--hxx-suffix .h \
	--cxx-suffix .cc \

# Arguments used to regenerate the ECLA bindings.
XSD_TOOL_CLA_ARGS := \
	--root-element cl_message \
	--namespace-map =dtn::clmessage \
	--output-dir conv_layers \
	--cxx-prologue '\#ifdef HAVE_CONFIG_H' \
	--cxx-prologue '\#  include <config.h>' \
	--cxx-prologue '\#endif' \
	--cxx-prologue '\#if defined(XERCES_C_ENABLED) && defined(EXTERNAL_CL_ENABLED)' \
	--cxx-epilogue '\#endif' \

# Arguments used to regenerate the external router bindings.
XSD_TOOL_RTR_ARGS := \
	--root-element bpa \
	--namespace-map =dtn::rtrmessage \
	--output-dir routing \
	--custom-type linkType=/linkType_base \
	--custom-type bundleType=/bundleType_base \
	--custom-type contactType=/contactType_base \
	--custom-type eidType=/eidType_base \
	--custom-type gbofIdType=/gbofIdType_base \
	--custom-type key_value_pair=/key_value_pair_base \
	--custom-type routeEntryType=/routeEntryType_base \
	--custom-type registrationType=/registrationType_base \
	--hxx-epilogue '\#include "router-custom.h"' \
	--cxx-prologue '\#ifdef HAVE_CONFIG_H' \
	--cxx-prologue '\#  include <config.h>' \
	--cxx-prologue '\#endif' \
	--cxx-prologue '\#if defined(XERCES_C_ENABLED) && defined(EXTERNAL_DP_ENABLED)' \
	--cxx-epilogue '\#endif' \

# Regenerate XML bindings. 
xsdbindings: conv_layers/clevent.xsd routing/router.xsd
ifdef XSD_TOOL
	$(XSD_TOOL) cxx-tree $(XSD_TOOL_COMMON_ARGS) $(XSD_TOOL_CLA_ARGS) conv_layers/clevent.xsd
	$(XSD_TOOL) cxx-tree $(XSD_TOOL_COMMON_ARGS) $(XSD_TOOL_RTR_ARGS) routing/router.xsd
else
	@echo "ERROR:   configure was unable to find the xsd tool needed to"
	@echo "         regenerate the XML bindings."
	@echo "         Use the --with-xsd-tool=(name) option with configure"
	@echo "         specify the location of this tool."
endif

endif

=== sim/Makefile ===
#
#    Copyright 2004-2006 Intel Corporation
# 
#    Licensed under the Apache License, Version 2.0 (the "License");
#    you may not use this file except in compliance with the License.
#    You may obtain a copy of the License at
# 
#        http://www.apache.org/licenses/LICENSE-2.0
# 
#    Unless required by applicable law or agreed to in writing, software
#    distributed under the License is distributed on an "AS IS" BASIS,
#    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#    See the License for the specific language governing permissions and
#    limitations under the License.
#

#
# Makefile for DTN2/sim
#

#
# Make sure SRCDIR is set (.. by default)
#
ifeq ($(SRCDIR),)
SRCDIR   := ..
BUILDDIR := ..
endif

SIM_SRCS := \
	dtnsim.cc		\
	Connectivity.cc		\
	ConnCommand.cc		\
	Node.cc			\
	NodeCommand.cc		\
	Simulator.cc		\
	SimCommand.cc		\
	SimConvergenceLayer.cc	\
	SimLog.cc		\
	SimRegistration.cc	\
	Topology.cc		\
	TrAgent.cc		\

SIM_OBJS := $(SIM_SRCS:.cc=.o)

#
# Default target is to build the simulator
#
all: dtnsim

#
# Include dtnsim in files to clean with make clean
#
BINFILES += dtnsim

COMPONENT_LIBS := ../servlib/libdtnserv.a

dtnsim: $(SIM_OBJS) $(COMPONENT_LIBS)
	$(CXX) $(CXXFLAGS) $(SIM_OBJS) $(COMPONENT_LIBS) \
		-o $@ $(LDFLAGS) $(OASYS_LDFLAGS) $(EXTLIB_LDFLAGS) $(LIBS)

#
# Include the common rules
#
include ../Rules.make

=== debian/changelog ===
dtn (2.7.0maemo-fremantle7) fremantle; urgency=low

  * dtn (2.7.0maemo-fremantle7) Fix problem with patches: fix-changing-of-TMP-in-maemo-inst.patch, 
    optifing-dtnperf-client.patch and optifing-dtnperf-server.patch; error in quilt configuration.

  * dtn (2.7.0maemo-fremantle7) Added a patch (optifing-dtn-default-conf-file.patch) to modify default
    dtn.conf for Maemo OS usage. 

 -- Francesco Baldassarri <francesc.baldassarr2@studio.unibo.it>  Tue, 08 Jun 2010 22:42:04 +0100

dtn (2.7.0maemo-fremantle6) fremantle; urgency=low

  * dtn (2.7.0maemo-fremantle6) adding patches:
    - fix-changing-of-TMP-in-maemo-inst.patch to change temp default folder used by dtnd 
    - optifing-dtnperf-client.patch to store tmp bundles in /opt/dtn/dtnperf
    - optifing-dtnperf-server.patch to store tmp bundles in /opt/dtn/dtnperf

 -- Francesco Baldassarri <francesc.baldassarr2@studio.unibo.it>  Mon, 07 Jun 2010 03:14:45 +0100

dtn (2.7.0maemo-fremantle5) fremantle; urgency=low

  * dtn (2.7.0maemo-fremantle5) Fixed a problem with preinstalled configuration file in version 2.7.0maemo-fremantle4

 -- Francesco Baldassarri <francesc.baldassarr2@studio.unibo.it>  Sat, 29 May 2010 00:20:54 +0100

dtn (2.7.0maemo-fremantle4) fremantle; urgency=low

  * dtn (2.7.0maemo-fremantle4) Porting for Maemo 5 codename Fremantle from 2.7.0ubuntu4 version

 -- Francesco Baldassarri <francesc.baldassarr2@studio.unibo.it>  Wed, 26 May 2010 21:29:03 +0100

dtn (2.7.0ubuntu4) karmic; urgency=low

  * Fix fix-rename-fail-dtnperf-server.patch problem.

 -- Leo Iannacone <l3on@ubuntu.com>  Wed, 26 May 2010 09:18:05 +0200

dtn (2.7.0maemo-fremantle3) fremantle; urgency=low

  * dtn (2.7.0maemo-fremantle3) Porting for Maemo 5 codename Fremantle from 2.7.0ubuntu3 version

 -- Francesco Baldassarri <francesc.baldassarr2@studio.unibo.it>  Wed, 26 May 2010 00:34:11 +0100

dtn (2.7.0ubuntu3) karmic; urgency=low

  * Replacing BUFSIZE in MAXSIZE in fix-rename-fail-dtnperf-server.patch 

 -- Leo Iannacone <l3on@ubuntu.com>  Tue, 25 May 2010 21:13:29 +0200

dtn (2.7.0ubuntu2) karmic; urgency=low

  * Applying fix-rename-fail-dtnperf-server.patch to fix rename files fail in 
    dtnperf-server when files are not in the same filesystem

  * debian/rules:
    - added quilt support
    - added dh_makeshlibs in binary_arch

  * debian/control:
    - added quilt as Build-Depends
    - added liboasys at Depends in dtn package (#FIX_ME#)
  
  * Fix test fails in debian/dtn.postinst

 -- Leo Iannacone <l3on@ubuntu.com>  Tue, 25 May 2010 16:13:29 +0200

dtn (2.7.0maemo-fremantle1) fremantle; urgency=low

  * dtn (2.7.0maemo-fremantle1) Porting for Maemo 5 codename Fremantle from 2.7.0ubuntu1 version

 -- Francesco Baldassarri <francesc.baldassarr2@studio.unibo.it>  Wed, 12 May 2010 02:34:12 +0100

dtn (2.7.0ubuntu1) karmic; urgency=low

  * debian/rules:
    - run ./build-configure.sh to regenerate configure templates 
      (Bug: #2998095)
    - added "-l$(CURDIR)/debian/dtn/usr/lib" at dh_shlibdeps
      fixing problems during building python-dtn package
    - add dh_pysupport
 
  * debian/control:
    - replaced '[]' in '<>' at maintainer email
    - added python-dev as Build-Depends instead of python*-dev
    - added python-support as Build-Depends
    - added debhelper (>= 5) as Build-Depends
    - added tcl, Berkeley db and Xerces libriaries as Build-Depends
    - added autoconf as Build-Depends in order to run ./build-configure.sh
      that fixes oasys aclocal problems (Bug: #2998095).
    - added Standards-Version 3.8.4

 -- Leo Iannacone <l3on@ubuntu.com>  Fri, 07 May 2010 20:19:53 +0200

dtn (2.7.0) unstable; urgency=low

  * 2.7.0 release upgrade

 -- Alex McMahon <ailex.mcmahon@cs.tcd.ie>  Fri, 08 May 2009 20:07:09 +0100

dtn (2.6.0) unstable; urgency=low

  * 2.6.0 release upgrade

 -- Alex McMahon <ailex.mcmahon@cs.tcd.ie>  Fri, 08 May 2009 20:07:09 +0100

dtn (2.5.1-1) unstable; urgency=low

  * 2.5.1 release update

 -- Michael Demmer <demmer@cs.berkeley.edu>  Wed,  5 Mar 2008 15:31:47 -0800

dtn (2.5.0-1) unstable; urgency=low

  * 2.5.0 release update

 -- Michael Demmer <demmer@cs.berkeley.edu>  Fri, 19 Oct 2007 11:52:23 -0700

dtn (2.4.0-1) unstable; urgency=low

  * Updated version of the package

 -- Michael Demmer <demmer@cs.berkeley.edu>  Wed, 11 Jul 2007 00:39:03 -0700

dtn (2.3.0-1) unstable; urgency=low

  * Updated version of the package

 -- Michael Demmer <demmer@cs.berkeley.edu>  Mon, 18 Dec 2006 13:00:31 -0800

dtn (2.2.0-1) unstable; urgency=low

  * Initial version of a debian package

 -- Michael Demmer <demmer@cs.berkeley.edu>  Tue, 14 Mar 2006 15:02:24 -0800

=== debian/control ===
Source: dtn
Section: user/network
Priority: optional
Maintainer: Francesco Baldassarri <francesc.baldassarr2@studio.unibo.it>
XSBC-Original-Maintainer: Leonardo Iannacone <l3on@ubuntu.com>
Build-Depends: liboasys-dev, python-dev, tcl8.5-dev, libdb4.2-dev, libxerces27-dev, autoconf, debhelper (>= 5), python-support, quilt
Standards-Version: 3.7.2

Package: dtn
Section: user/network
Architecture: any
Suggests: tclreadline
Depends: ${shlibs:Depends}, adduser, liboasys (>= 1.3)
Provides: dtn
Description: Delay Tolerant Networking reference implementation
 .
 This package contains the reference implementation of the Delay
 Tolerant Networking (DTN) architecture. This includes the DTN daemon
 (dtnd) as well as several example applications that use the DTN
 protocols. 
 . 
 Homepage: http://www.dtnrg.org


Package: python-dtn
Section: user/network
Depends: dtn
Provides: ${python:Provides}
Architecture: all
Description: DTN python api
 .
 This package contains python bindings for applications to use the DTN
 reference implementation.
 . 
 Homepage: http://www.dtnrg.org

=== debian/rules ===
#!/usr/bin/make -f

# Supoprt for quilt
include /usr/share/quilt/quilt.make

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This is exported to make the rules for binary-indep and binary-arch
# work below
export DH_OPTIONS

configure: configure-stamp
configure-stamp:
	./build-configure.sh
	dh_testdir
	./configure -C
	touch configure-stamp

build: $(QUILT_STAMPFN) configure build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	$(MAKE) -C applib
#	$(MAKE) -C applib pythonapi
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp
	$(MAKE) distclean || echo "nothing to clean"
	dh_clean

install: build
	dh_clean
	dh_testdir
	dh_testroot
	dh_installdirs

	$(MAKE) DESTDIR=`pwd`/debian/dtn/ install
#	$(MAKE) DESTDIR=`pwd`/debian/python-dtn/ -C applib pythonapi_install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installlogrotate
	dh_install -a
	dh_installinit
	dh_installman
	dh_link
	dh_pysupport
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps -l$(CURDIR)/debian/dtn/usr/lib
	dh_makeshlibs
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## dtn 2.7.0maemo-fremantle8

=== Makefile ===
#
#    Copyright 2004-2006 Intel Corporation
# 
#    Licensed under the Apache License, Version 2.0 (the "License");
#    you may not use this file except in compliance with the License.
#    You may obtain a copy of the License at
# 
#        http://www.apache.org/licenses/LICENSE-2.0
# 
#    Unless required by applicable law or agreed to in writing, software
#    distributed under the License is distributed on an "AS IS" BASIS,
#    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#    See the License for the specific language governing permissions and
#    limitations under the License.
#

#
# Top level makefile for DTN2.
#

#
# Define a set of dispatch rules that simply call make on the
# constituent subdirectories. Note that the test directory isn't built
# by default.
#

SUBDIRS := applib servlib daemon apps sim

all: checkconfigure $(SUBDIRS)

#
# If srcdir/builddir aren't set by some other makefile, 
# then default to .
#
ifeq ($(SRCDIR),)
SRCDIR	 := .
BUILDDIR := .
endif

#
# Include the common rules
#
include Rules.make
include $(SRCDIR)/dtn-version.mk

#
# Dependency rules between subdirectories needed for make -j
#
applib servlib: dtn-version.o
daemon: applib servlib
apps: applib servlib
sim: servlib

#
# Rules for the version files
#
dtn-version.o: dtn-version.c
dtn-version.c: dtn-version.h
dtn-version.h: dtn-version.h.in dtn-version.dat
	$(OASYS_ETCDIR)/tools/subst-version $(SRCDIR)/dtn-version.dat \
		< $(SRCDIR)/dtn-version.h.in > dtn-version.h

vpath dtn-version.h.in $(SRCDIR)
vpath dtn-version.h    $(SRCDIR)
vpath dtn-version.c    $(SRCDIR)
vpath dtn-version.dat  $(SRCDIR)

bump-version:
	cd $(SRCDIR) && tools/bump-version dtn-version.dat

#
# Test rules
#
test: tests
tests: 
	$(MAKE) all
	$(MAKE) -C test

dtn-tests:
	$(MAKE) -C test

#
# Installation rules
#
install: installdirs installbin installlib installetc

installdirs:
	for dir in $(DESTDIR)$(localstatedir)/dtn \
		   $(DESTDIR)$(localstatedir)/dtn/bundles \
		   $(DESTDIR)$(localstatedir)/dtn/db ; do \
	    (mkdir -p $$dir; chmod 755 $$dir; \
		[ x$(DTN_USER) = x ] || chown $(DTN_USER) $$dir); \
	done

	[ -d $(DESTDIR)$(bindir) ] || \
	    (mkdir -p $(DESTDIR)$(bindir); chmod 755 $(DESTDIR)$(bindir))

	[ -d $(DESTDIR)$(libdir) ] || \
	    (mkdir -p $(DESTDIR)$(libdir); chmod 755 $(DESTDIR)$(libdir))

installbin: installdirs
	for prog in daemon/dtnd \
		    tools/dtnd-control \
		    apps/dtncat/dtncat \
		    apps/dtncp/dtncp \
		    apps/dtncpd/dtncpd \
		    apps/dtnhttpproxy/dtnhttpproxy \
		    apps/dtnperf/dtnperf-client \
		    apps/dtnperf/dtnperf-server \
		    apps/dtnping/dtnping \
		    apps/dtnping/dtntraceroute \
		    apps/dtnrecv/dtnrecv \
		    apps/dtnsend/dtnsend \
		    apps/dtntunnel/dtntunnel \
		    apps/num2sdnv/num2sdnv \
		    apps/num2sdnv/sdnv2num ; do \
	    ($(INSTALL_PROGRAM) $$prog $(DESTDIR)$(bindir)) ; \
	done

	[ x$(DTN_USER) = x ] || chown -R $(DTN_USER) $(DESTDIR)$(bindir)

installlib: installdirs
	[ x$(SHLIBS) = x ] || \
	for lib in applib/libdtnapi-$(DTN_VERSION).$(SHLIB_EXT) \
	           applib/libdtnapi++-$(DTN_VERSION).$(SHLIB_EXT) \
	           applib/tcl/libdtntcl-$(DTN_VERSION).$(SHLIB_EXT) ; do \
	    ($(INSTALL_PROGRAM) $$lib $(DESTDIR)$(libdir)) ; \
	done

	for lib in libdtnapi libdtnapi++ libdtntcl ; do \
		(cd $(DESTDIR)$(libdir) && rm -f $$lib.$(SHLIB_EXT) && \
		 ln -s $$lib-$(DTN_VERSION).$(SHLIB_EXT) $$lib.$(SHLIB_EXT)) \
	done

installetc: installdirs
	[ -d $(DESTDIR)$(sysconfdir) ] || mkdir -p $(DESTDIR)$(sysconfdir)
	if [ -f $(DESTDIR)$(sysconfdir)/dtn.conf ]; then \
		echo "WARNING: $(DESTDIR)$(sysconfdir)/dtn.conf exists -- not overwriting"; \
	else \
		$(INSTALL_DATA) daemon/dtn.conf $(DESTDIR)$(sysconfdir)/dtn.conf; \
	fi

	$(INSTALL_DATA) servlib/routing/router.xsd $(DESTDIR)$(sysconfdir)/router.xsd
	$(INSTALL_DATA) servlib/conv_layers/clevent.xsd $(DESTDIR)$(sysconfdir)/clevent.xsd

#
# Generate the doxygen documentation
#
doxygen:
	doxygen doc/doxyfile

#
# Generate XML schema documentation
# Requires:
#     xsddoc-1.0 (http://xframe.sourceforge.net/xsddoc/)
#     java
#
xsddoc:
	mkdir -p doc/router-xsddoc
	xsddoc -t "External Router Interface" -o doc/router-xsddoc -q \
		servlib/routing/router.xsd
	mkdir -p doc/cla-xsddoc
	xsddoc -t "External CLA Interface" -o doc/cla-xsddoc -q \
		servlib/conv_layers/clevent.xsd
# 	mkdir -p doc/router-xsddoc
# 	xsddoc -t "External Data Store Interface" -o doc/ds-xsddoc -q \
# 		oasys/storage/DS.xsd

xsdbindings:
	$(MAKE) -C servlib xsdbindings

#
# Build a TAGS database. Note this includes all the sources so it gets
# header files as well.
#
.PHONY: TAGS tags
tags TAGS:
	cd $(SRCDIR) && \
	find . -name \*.h -or -name \*.c -or -name \*.cc | \
		xargs etags -l c++
	find . -name \*.h -or -name \*.c -or -name \*.cc | \
		xargs ctags 

#
# And a rule to make sure that configure has been run recently enough.
#
.PHONY: checkconfigure
checkconfigure: Rules.make

Rules.make: $(SRCDIR)/configure $(OASYS_ETCDIR)/Rules.make.in 
	@[ ! x`echo "$(MAKECMDGOALS)" | grep clean` = x ] || \
	(echo "$@ is out of date, need to rerun configure" && \
	exit 1)

$(SRCDIR)/configure $(OASYS_ETCDIR)/Rules.make.in:
	@echo SRCDIR: $(SRCDIR)
	@echo error -- Makefile did not set SRCDIR properly
	@exit 1

CFGDIRS  := oasys/include oasys 
CFGFILES = Rules.make System.make oasys/share oasys/lib oasys/include/oasys
GENFILES = doc/manual/man/*.txt

=== daemon/Makefile ===
#
#    Copyright 2004-2006 Intel Corporation
# 
#    Licensed under the Apache License, Version 2.0 (the "License");
#    you may not use this file except in compliance with the License.
#    You may obtain a copy of the License at
# 
#        http://www.apache.org/licenses/LICENSE-2.0
# 
#    Unless required by applicable law or agreed to in writing, software
#    distributed under the License is distributed on an "AS IS" BASIS,
#    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#    See the License for the specific language governing permissions and
#    limitations under the License.
#

#
# Makefile for DTN2/daemon
#

#
# Make sure SRCDIR is set (.. by default)
#
ifeq ($(SRCDIR),)
SRCDIR   := ..
BUILDDIR := ..
endif

DAEMON_SRCS :=			\
	dtnd.cc

DAEMON_OBJS := $(DAEMON_SRCS:.cc=.o)

#
# Default target is to build the daemon
#
BINFILES := dtnd
all: $(BINFILES)

COMPONENT_LIBS := \
	../applib/libdtnapisrv.a 	\
	../servlib/libdtnserv.a 	\

dtnd: $(DAEMON_OBJS) $(COMPONENT_LIBS)
	$(CXX) $(CXXFLAGS) $(DAEMON_OBJS) $(COMPONENT_LIBS) \
		-o $@ $(LDFLAGS) $(OASYS_LDFLAGS) $(EXTLIB_LDFLAGS) $(LIBS)

#
# Include the common rules
#
include ../Rules.make

=== test/Makefile ===
#
#    Copyright 2004-2006 Intel Corporation
# 
#    Licensed under the Apache License, Version 2.0 (the "License");
#    you may not use this file except in compliance with the License.
#    You may obtain a copy of the License at
# 
#        http://www.apache.org/licenses/LICENSE-2.0
# 
#    Unless required by applicable law or agreed to in writing, software
#    distributed under the License is distributed on an "AS IS" BASIS,
#    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#    See the License for the specific language governing permissions and
#    limitations under the License.
#

#
# Makefile for DTN2/test
#

#
# Make sure SRCDIR is set.
#
ifeq ($(SRCDIR),)
SRCDIR   := ..
BUILDDIR := ..
endif

#
# Default target is to build all unit tests
#
dtn-tests: unit_tests
all: dtn-tests

BINFILES :=					\
	unit_tests/bundle-list-test		\
	unit_tests/bundle-payload-test		\
	unit_tests/bundle-protocol-test		\
	unit_tests/bundle-timestamp-test	\
	unit_tests/endpoint-id-test		\
	unit_tests/gbofid-test			\
	unit_tests/prophet-bundle-core-test 	\
	unit_tests/prophet-bundle-offer-test 	\
	unit_tests/prophet-controller-test 	\
	unit_tests/prophet-decider-test 	\
	unit_tests/prophet-encounter-test 	\
	unit_tests/prophet-list-test 		\
	unit_tests/prophet-node-test 		\
	unit_tests/prophet-policy-test 		\
	unit_tests/prophet-repository-test 	\
	unit_tests/prophet-stats-test 		\
	unit_tests/prophet-strategy-test 	\
	unit_tests/prophet-tlv-test 		\
	unit_tests/route-multigraph-test	\
	unit_tests/route-table-test		\
	unit_tests/sdnv-test			\
	unit_tests/sequence-id-test		\

unit_tests: $(BINFILES)

#
# Include the servlib Makefile to get the list of servlib objects
#
SERVLIB_MAKEFILE_INCLUDE := true
include $(SRCDIR)/servlib/Makefile
SERVLIB_OBJS := $(patsubst %,$(SRCDIR)/servlib/%,$(SERVLIB_OBJS))

echoobjs:
	@echo $(SERVLIB_OBJS)

COMPONENT_LIBS := \
	$(BUILDDIR)/applib/libdtnapisrv.a 	\
	$(BUILDDIR)/servlib/libdtnserv.a 	\

#
# Default pattern rule to build the tests
#
.PRECIOUS: unit_tests/%-test.o
unit_tests/%-test.o: unit_tests/%-test.cc
	@rm -f $@; mkdir -p $(@D)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $< -o $@

unit_tests/%-test: unit_tests/%-test.o $(COMPONENT_LIBS)
	@rm -f $@; mkdir -p $(@D)
	$(CXX) $(CXXFLAGS) $< $(COMPONENT_LIBS) -o $@ $(LDFLAGS) $(OASYS_LDFLAGS) $(EXTLIB_LDFLAGS)

#
# As one exception, the bundle-timestamp-test can't have -Wcast-align
#
unit_tests/bundle-timestamp-test.o: unit_tests/bundle-timestamp-test.cc
	@rm -f $@; mkdir -p $(@D)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -Wno-cast-align -c $< -o $@	

#
# Include the common rules
#
include ../Rules.make

=== doc/plugin-architecture/Makefile ===
.SUFFIXES: .eps .tex .ps .dvi .fig
SUPPORTTEX= plugin-architecture.tex bpa-interface.tex cla-interface.tex decision-interface.tex ds-interface.tex
SUPPORTFIG= figs/modules-orig.pdf figs/modules-rev.pdf figs/kbintf.pdf figs/components-toplevel.pdf
PDFDOCS= plugin-architecture.pdf

all: ${PDFDOCS} clean

%.pdf: %.tex ${SUPPORTTEX} ${SUPPORTFIG}
	pdflatex $<
	pdflatex $<
	pdflatex $<

%.eps: %.fig
	fig2dev -L eps $< $@

%.pdf: %.eps
	epstopdf $< > $@

clean:
	rm -f *.dvi *.log *.aux *.bbl *.blg *.toc *.lof *.lot 
realclean: clean
	rm -f *.ps *.pdf ${SUPPORTFIG}

=== debian/changelog ===
dtn (2.7.0maemo-fremantle8) fremantle; urgency=low

  * dtn (2.7.0maemo-fremantle7) Added two patches:
    - optifing-tools-uninstall-sh.patch to optify file tools/uninstall.sh
    - optifing-servlib-cmd-storagecommand.patch to optify servlib/cmd/StorageCommand.cc

  * debian/control optimized for Maemo 5 Freamantle compilation

 -- Francesco Baldassarri <francesc.baldassarr2@studio.unibo.it>  Thu, 10 Jun 2010 21:41:43 +0100 

=== debian/control ===
--- 
+++ 
@@ -22,15 +22,3 @@
  Homepage: http://www.dtnrg.org
 
 
-Package: python-dtn
-Section: user/network
-Depends: dtn
-Provides: ${python:Provides}
-Architecture: all
-Description: DTN python api
- .
- This package contains python bindings for applications to use the DTN
- reference implementation.
- . 
- Homepage: http://www.dtnrg.org
-

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,6 @@
 	dh_testdir
 	$(MAKE)
 	$(MAKE) -C applib
-#	$(MAKE) -C applib pythonapi
 	touch build-stamp
 
 clean:
@@ -39,7 +38,6 @@
 	dh_installdirs
 
 	$(MAKE) DESTDIR=`pwd`/debian/dtn/ install
-#	$(MAKE) DESTDIR=`pwd`/debian/python-dtn/ -C applib pythonapi_install
 
 # Build architecture-independent files here.
 binary-indep: build install

## dtn 2.7.0maemo-fremantle9

=== debian/changelog ===
dtn (2.7.0maemo-fremantle9) fremantle; urgency=low

  * dtn (2.7.0maemo-fremantle9) Fixed a problem in creating "dtn" user: added a --no-create-home flag in line 13 of ../debian/dtn.postinst.

 -- Francesco Baldassarri <francesc.baldassarr2@studio.unibo.it>  Mon, 21 Jun 2010 18:58:34 +0100

## dtn 2.7.0maemo-fremantle10

=== debian/changelog ===
dtn (2.7.0maemo-fremantle10) fremantle; urgency=low

  * dtn (2.7.0maemo-fremantle10) Added two other patches:
    - fix-filename-parsing-dtnperf-client.patch 
    - fix-fragment-offset-dtn.patch

  * dtn (2.7.0maemo-fremantle10) Added bugtracker link in ../debian/crontrol

 -- Francesco Baldassarri <francesc.baldassarr2@studio.unibo.it>  Thu, 22 Jul 2010 19:18:25 +0100

=== debian/control ===
Source: dtn
Section: user/network
Priority: optional
Maintainer: Francesco Baldassarri <francesc.baldassarr2@studio.unibo.it>
XSBC-Original-Maintainer: dtnrg.org <dtn-users@mailman.dtnrg.org>
Build-Depends: liboasys-dev, python-dev, tcl8.5-dev, libdb4.2-dev, libxerces27-dev, autoconf, debhelper (>= 5), python-support, quilt
Standards-Version: 3.7.2

Package: dtn
Section: user/network
Architecture: any
Suggests: tclreadline
Depends: ${shlibs:Depends}, adduser, liboasys (>= 1.3)
Provides: dtn
XSBC-Bugtracker: https://garage.maemo.org/tracker/?atid=5958&group_id=1685&func=browse
XB-Maemo-Display-Name: DTN2 
Description: Delay Tolerant Networking reference implementation
 .
 This package contains the reference implementation of the Delay
 Tolerant Networking (DTN) architecture. This includes the DTN daemon
 (dtnd) as well as several example applications that use the DTN
 protocols. 
 . 
 Homepage: http://www.dtnrg.org 
 Installation and usage guideline: http://cnrl.deis.unibo.it
